<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Flickr API Client</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    
    <div id="app">
        <p v-if="loading">loading...</p>
        <div v-else>
            <div>
                <input type="text" v-model="tags">
            </div>
            <div  class="photo-gallery">
                <div v-for="photo in photos" class="photo-gallery-item">
                    <img v-bind:src="photo.url" class="photo-gallery-item__picture">
                </div>
            </div>
        </div>
    </div>
    <script src="https://unpkg.com/lodash@4.17.11/lodash.js"></script>
    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script src="flickr-service.js"></script>
    <script>
        const flickrService = new FlickrService();

        const vm = new Vue({
            el: '#app',
            data: {
                loading:true,
                photos: [],
                tags: ''
            },
            watch: {
                tags: function() {
                    this.updatesearch();
                }
            },
            methods: {
                updatesearch: _.debounce(function()  {
                    console.log(this.tags);
                    console.log("#### UPDATE SEARCH")
                    flickrService.search(this.tags)
                             .then(photos => {
                                 this.loading = false;
                                 this.photos = photos.map(photo => {
                                     photo.url = flickrService.getPhotoUrl(photo);
                                     return photo;
                                });
                                console.log(this.photos);
                             });    
                }, 500)
            },
            created() {
                this.updatesearch();        
            }
        });
    </script>
</body>
</html>